Description

A stock assessment process developed by IRD and IFREMER has to be integrated with StatMan and possibly parallelised.

The algorithm uses several R scripts and calls one Fortran90 program.

History

#1 - Jun 25, 2015 03:16 PM - Gianpaolo Coro

- % Done changed from 0 to 20

The process is compatible with the e-Infrastructure nodes. 

I have parametrized the inputs and made the process ready to be executed in parallel fashion on the e-Infrastructure nodes.

The next step will involve testing the integration and the web interface produced by the Statistical Manager.

#2 - Jun 30, 2015 04:45 PM - Gianpaolo Coro

- % Done changed from 20 to 70

The integration of the ICCAT-VPA algorithm on the Statistical Manager (SM) was successful.

An algorithm is available on the SM development web interface under the "Stock Assessment" category: https://dev.d4science.org/group/devvre/sm

The algorithm accepts 5 input files plus other parameters. The output is a zip file containing all the output files produced by the R+Fortran process. 

The files should be uploaded on the Statistical Manager data space in order to be used in the experiments. Later, they can be saved on the

Workspace (along with the output).

The process is executed by remote Cloud computing machines (Worker nodes). This means that extending it to process a large set of experiments in

parallel fashion is straightforward.

Last but not least, here is a video demonstrating the complete process: files uploading, experiment execution, saving data on the

Workspace, sharing and publishing data: http://goo.gl/AL01TB

Enhancements and modifications will come after IRD will have provided feedback.

#3 - Jul 22, 2015 05:23 PM - Gianpaolo Coro

- Status changed from New to Closed

- % Done changed from 70 to 100

The ICCAT-VPA process is now working and is available on the iMarine portal among the data processing facilities in the BiodiversityLab:

https://i-marine.d4science.org/group/biodiversitylab/processing-tools
